Self-serve contractor payments
Self Serve Get Contractor Wallet Test Tx Status
Returns a test transaction's status, polling the Safe service for pending ones and persisting status changes.
GEThttps://api.toku.com/hris/self-serve-get-contractor-wallet-test-tx-status
Not available to API keys yet. It will need wallets:write and banking:read.
curl --request GET \
--url 'https://api.toku.com/hris/self-serve-get-contractor-wallet-test-tx-status?testTxID=%3CtestTxID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"testTxID": "string",
"walletID": "string",
"walletAddress": "string",
"status": "string",
"amount": "string",
"token": "string",
"transactionLink": "string",
"safeAppUrl": "string",
"confirmations": 0,
"threshold": 0,
"expiresAt": "string",
"initiatedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
testTxIDstring<uuid>requiredResponse
200Successful response
testTxIDstringrequiredwalletIDstringrequiredwalletAddressstringrequiredstatusstringrequiredamountstringrequiredtokenstringrequiredtransactionLinkstring | nullrequiredsafeAppUrlstringrequiredconfirmationsnumberrequiredthresholdnumberrequiredexpiresAtstring | nullrequiredinitiatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits